# Interface Address

All Known Implementing Classes:
  `DefaultAddress`

@UML(identifier="CI_Address", specification=ISO_19115) public interface Address
Location of the responsible individual or organization.

Since:
  1.0

- ## Method Summary

  Modifier and Type
  Method
  Description
  `InternationalString`
  `getAdministrativeArea()`
  State, province of the location.
  `InternationalString`
  `getCity()`
  The city of the location.
  `InternationalString`
  `getCountry()`
  Country of the physical address.
  `Collection<String>`
  `getDeliveryPoints()`
  Address line for the location (as described in ISO 11180, Annex A).
  `Collection<String>`
  `getElectronicMailAddresses()`
  Address of the electronic mailbox of the responsible organization or individual.
  `String`
  `getPostalCode()`
  ZIP or other postal code.

- ## Method Details

  - ### getDeliveryPoints

    @UML(identifier="deliveryPoint", obligation=OPTIONAL, specification=ISO_19115) Collection<String> getDeliveryPoints()
    Address line for the location (as described in ISO 11180, Annex A). Returns an empty collection if none.
    Returns:
      Address line for the location.

  - ### getCity

    @UML(identifier="city", obligation=OPTIONAL, specification=ISO_19115) InternationalString getCity()
    The city of the location. Returns `null` if unspecified.
    Returns:
      The city of the location, or `null`.

  - ### getAdministrativeArea

    @UML(identifier="administrativeArea", obligation=OPTIONAL, specification=ISO_19115) InternationalString getAdministrativeArea()
    State, province of the location. Returns `null` if unspecified.
    Returns:
      State, province of the location, or `null`.

  - ### getPostalCode

    @UML(identifier="postalCode", obligation=OPTIONAL, specification=ISO_19115) String getPostalCode()
    ZIP or other postal code. Returns `null` if unspecified.
    Returns:
      ZIP or other postal code, or `null`.

  - ### getCountry

    @UML(identifier="country", obligation=OPTIONAL, specification=ISO_19115) InternationalString getCountry()
    Country of the physical address. Returns `null` if unspecified.
    Returns:
      Country of the physical address, or `null`.

  - ### getElectronicMailAddresses

    @UML(identifier="electronicMailAddress", obligation=OPTIONAL, specification=ISO_19115) Collection<String> getElectronicMailAddresses()
    Address of the electronic mailbox of the responsible organization or individual. Returns an empty collection if none.
    Returns:
      Address of the electronic mailbox of the responsible organization or individual.